#!/bin/bash -e
#
# bash-validator:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/bash-validator
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -grx INSTALL_DATA_DIR='/usr/local/share/bash-validator'
declare -grx INSTALL_BIN_DIR='/usr/bin'

declare -grx REMOVE_OLD="${INSTALL_DATA_DIR}/bash-validator-remove"
declare -grx REMOVE_EXE="${INSTALL_DATA_DIR}/bash-validator-remove.sh"

declare -grx INSTALL_LINKS='
bash-validator
bash-validator-add-to-ignore
'

declare -grx INSTALL_EXE='
bin/bash-validator.sh
bin/bash-validator-add-to-ignore.sh
bash-validator-install.sh
bash-validator-remove.sh
'

declare -grax INSTALL_PACKAGES=(
'shellcheck'
)
